﻿//----------------------------------------------------------------------------------------
//  The code in this Visual Studio project is only SAMPLE CODE for demonstrative purposes
//  and is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND.
//
//  For more information, please refer to the README.txt file.
﻿//----------------------------------------------------------------------------------------

using System.Net.Http;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace NAVOnTheMap
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class CustomerList : Page
    {
        private string userAuthenticationToken;

        public CustomerList()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            this.userAuthenticationToken = e.Parameter as string;

            var httpClient = new HttpClient();

            HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Get, "https://YOUR_NAV_ENDPOINT/DynamicsNAV80_Instance1/OData/Company('CRONUS%20International%20Ltd.')/Customer");
            request.Headers.Add("Authorization", this.userAuthenticationToken);
            HttpResponseMessage response = await httpClient.SendAsync(request);
            string data = await response.Content.ReadAsStringAsync();

            this.DataContext = new CustomerListViewModel(data);
        }

        private void CustomerTapped(object sender, TappedRoutedEventArgs e)
        {
            var tappedControl = sender as FrameworkElement;
            this.Frame.Navigate(typeof(CustomerLocation), ((CustomerModel)tappedControl.DataContext).Address);
        }
    }
}
