﻿//----------------------------------------------------------------------------------------
//  The code in this Visual Studio project is only SAMPLE CODE for demonstrative purposes
//  and is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND.
//
//  For more information, please refer to the README.txt file.
﻿//----------------------------------------------------------------------------------------

using System;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace NAVOnTheMap
{


    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class CustomerLocation : Page
    {
        public CustomerLocation()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected async override void OnNavigatedTo(NavigationEventArgs e)
        {
            this.bingMapsControl.MapServiceToken = "get the token from developer.bing.com"; 
            
            var customerAddress = e.Parameter as string;

            var customerLocationViewModel = new CustomerLocationViewModel(customerAddress, this.bingMapsControl.MapServiceToken);
            await customerLocationViewModel.InitializeAsync();

            this.DataContext = customerLocationViewModel;

            await this.bingMapsControl.TrySetViewAsync(customerLocationViewModel.MapFocusPoint, 15);
        }
    }
}
