﻿//----------------------------------------------------------------------------------------
//  The code in this Visual Studio project is only SAMPLE CODE for demonstrative purposes
//  and is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND.
//
//  For more information, please refer to the README.txt file.
﻿//----------------------------------------------------------------------------------------

using System;
using Windows.Data.Xml.Dom;
using Windows.Storage;

namespace NAVOnTheMap.Utilities
{
    public class ConfigFileReader
    {
        private XmlDocument xmlDoc;

        public static ConfigFileReader Instance { get; private set; }

        public async static void Initialize(string fileName)
        {
            StorageFile configFile = await StorageFile.GetFileFromApplicationUriAsync(new Uri("ms-appx:///integration.config")); 
            Instance = new ConfigFileReader(await XmlDocument.LoadFromFileAsync(configFile));
        }

        public ConfigFileReader(XmlDocument document)
        {
            this.xmlDoc = document;
        }
        
        public string this[string configName] 
        {
            get 
            {
                IXmlNode configCollectionNode = this.xmlDoc.SelectSingleNode("/integrationConfig/key[@name=\"" + configName + "\"]/@value");
                return configCollectionNode.NodeValue.ToString();
            }
        }
    }
}
